# Examples

Hello and welcome to `elm-animator`!

Your first step is to read the high-level overview of how this library works in the `README.md`.

Then, we can dig in to some examples.


**Note** if you clone this library to play with the code locally, make sure to `cd examples` and run `elm make` from there!

1. [**Checkbox**](https://github.com/mdgriffith/elm-animator/blob/master/examples/Checkbox.elm) - Animate a checkbox as it's checked.  It covers:
     - *How to **get started** with `elm-animator`*
     - *An idea of how to **incrementally upgrade** existing code to use animations*

2. [**Page transitions**](https://github.com/mdgriffith/elm-animator/blob/master/examples/Pages.elm) - Transition between pages 3d page transition with routing.
     - *Set up routing so there are no page **reloads*** (actually this is standard for SPAs in general).
     - *Animate the transition between pages*
     - How to do _**CSS Keyframe** generation_
  
3. [**Loading**](https://github.com/mdgriffith/elm-animator/blob/master/examples/Loading.elm) - Animate the loading state of a piece of content.
     - *How to animate **resting** states such as a loading spinner*
     - _Animate with content that's already been **deleted**_ (whaaaa?!)

4. [**Mario**](https://github.com/mdgriffith/elm-animator/blob/master/examples/Mario.elm) - The classic Mario example!  Run around and jump.
     - *How to get started with **sprite animation***
     - *How to interact with a separate animation system such as physics code!*

